<div class="col-12 p-0 tw-relative">

    <ngx-spinner bdColor="rgba(0,0,0,0.3)" color="#fff" type="ball-clip-rotate-multiple" size="large"
        [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
    </ngx-spinner>
    <!-- <p-messages></p-messages> -->
    <p-toast></p-toast>

    <div class="grid col-12 p-0  tw-w-full">
        <!--/////// speedDial ////////-->
        <!-- <div class="grid tw-relative tw-w-full">
            <div class="grid tw-fixed  tw-h-screen pl-10 tw-w-full  justify-items-end">
                <div style="position: relative;left: calc(83% - 9rem); top: calc(60% - 10rem);" class="grid  justify-items-end">
                    <p-speedDial [model]="speedDialitems" direction="left" [transitionDelay]="50" showIcon="pi pi-bars"
                        hideIcon="pi pi-times" buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                </div>

            </div>
        </div> -->
        <!--/////// speedDial End////////-->


        <div class="col-12 w-full">

            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">

                <div class="flex align-items-center">
<!--                     <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" /> -->
                    <div class="tw-ml-4">
                        <div class="flex tw-flex-col">
                            <div class="flex flex-wrap gap-x-3 mb-1">
                                <div class="font-bold text-gray-600 mr-2"> AN :</div>
                                <div class="mr-4"> {{patientInfo.an}}</div>
                                <div class="font-bold text-gray-600 mr-2"> HN :</div>
                                <div class="mr-2"> {{patientInfo.hn}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-3 mb-1">
                                <div class="font-bold text-gray-600 mr-2"> ชื่อ-สกุล :</div>
                                <div class="mr-4"> {{patientInfo.title}}{{patientInfo.fname}} {{patientInfo.lname}}</div>
                                <div class="font-bold text-gray-600 mr-2"> เพศ :</div>
                                <div class="mr-4"> {{patientInfo.gender}}</div>
                                <div class="font-bold text-gray-600 mr-2"> อายุ :</div>
                                <div class="mr-4"> {{patientInfo.age | thaiage }}</div>
                                <div class="font-bold text-gray-600 mr-2"> อาชีพ :</div>
                                <div class="mr-4"> {{patientInfo.occupation}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-4 mb-1">
                                <div class="font-bold text-gray-600 mr-2"> ที่อยู่ :</div>
                                <div class="mr-4"> {{patientInfo.address}}</div>
                                <div class="font-bold text-gray-600 mr-2"> เบอร์โทร :</div>
                                <div class="mr-4"> {{patientInfo.phone}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-4 mb-1">
                                <div class="font-bold text-gray-600 mr-2"> สิทธิการรักษา :</div>
                                <div class="mr-4"> {{patientInfo.inscl_name}}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-wrap align-content-center gap-3 tw-mr-10">
                    <div class="flex flex-wrap justify-content-end tw-mt-3">
                        <div class="flex">
                                <button pButton pRipple icon="pi pi-arrow-left" type="button" label=""
                                class="p-button-danger" (click)="backPage()" pTooltip="ย้อนกลับ" tooltipPosition="top">
                            </button>

                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="card">
        <div class="surface-section px-4">
            <div class="font-bold text-xl text-800 mb-3">ข้อมูลการเจ็บป่วย </div>
            <div class="grid nogutter">
                <div class="col-12 p-2">
                    <div class="border-top-2 border-blue-600 mb-2"></div>
                    <div class="flex tw-flex-col">
                        <div class="mr-2 mb-1">
                            <span class="font-bold">CC :</span>
                                {{opdInfo.chief_complaint}}
                        </div>
                        <div class="mr-2 mb-1">
                            <span class="font-bold">PE :</span>
                            {{opdInfo.physical_exam}}
                        </div>
                        <div class="mr-2 mb-1">
                                <span class="font-bold"> Diag text :</span>
                                {{preDiag}}
                        </div>
                        <div class="mr-2 mb-1">
                                <span class="font-bold"> BT :</span>
                                {{opdInfo.body_temperature}} °C.
                                <span class="font-bold ml-2"> BW :</span>
                                {{opdInfo.body_weight}} kg. 
                                <span class="font-bold ml-2"> HT :</span>
                                {{opdInfo.body_height}} cm.
                                <span class="font-bold ml-2"> Waist :</span>
                                {{opdInfo.waist}} cm. 
                                <span class="font-bold ml-2"> BP :</span>
                                {{opdInfo.systolic_blood_pressure}}/{{opdInfo.diatolic_blood_pressure}} mmHg
                                <span class="font-bold ml-2"> PR :</span>
                                {{opdInfo.pulse_rate}}/min
                                <span class="font-bold ml-2"> RR :</span>
                                {{opdInfo.respiratory_rate}}/min
                                <span class="font-bold ml-2"> O2Sat :</span>
                                {{opdInfo.oxygen_sat ? opdInfo.oxygen_sat:'-'}} %
                        </div>
                        <div class="flex flex-wrap gap-x-4 mr-2 mb-1">
                                <div class="font-bold mr-1"> Doctor By :</div>
                                <div> {{doctorBy}}</div>
                        </div>

                    </div>



                </div>
            </div>


        </div>


        <div class="">
            
            <p-tabView styleClass="tabview-custom">
                <p-tabPanel>
                    <ng-template pTemplate="header">
                        <i class="pi pi-list mr-2"></i>
                        <span>Orders</span>
                    </ng-template>
                    <div>
                        <app-orders *ngIf="dataLoaded" [parentData]="parentData"></app-orders>
                        <div *ngIf="!(dataLoaded)">Loading...</div>
                    </div>

                </p-tabPanel>
                <p-tabPanel header="Header III">
                    <ng-template pTemplate="header">
                        <i class="pi pi-chart-line mr-2"></i>
                        <span>Vital sign</span>   
                    </ng-template>
                    <div>
                        <app-vital-sign *ngIf="dataLoaded" [parentData]="parentData"></app-vital-sign>
                        <div *ngIf="!(dataLoaded)">Loading...</div>
                    </div>
                </p-tabPanel>

                <p-tabPanel header="Header II">
                    <ng-template pTemplate="header">
                        <i class="pi pi-book mr-2"></i>
                        <span>Notes</span>
                    </ng-template>
                    <div>
                        <app-notes></app-notes>
                    </div>
                </p-tabPanel>
               
            </p-tabView>
        </div>
    </div>
</div>
<p-sidebar styleClass ="w-full md:w-8 xl:w-7" [(visible)]="visibleNursenotesidebar" position="right">
    <ng-template pTemplate="header"><h4 class="text-blue-500 font-bold"><i class="pi pi-book"></i>บันทึกทางการพยาบาล</h4></ng-template>
    <div class="flex flex-column tw-py-2 justify-content-center">
        <div class="tw-mb-2">
            <h6>ปัญหา</h6>
            <div class="flex tw-flex-1">
                <textarea [(ngModel)]="txtarea_problem_list" (ngModelChange)="keypress_problem_list($event)"  style="width: 100%; min-width: 0; min-height: 0;" rows="5"></textarea>
            </div>
        </div>
        <div class="tw-flex tw-flex-row tw-justify-between">
            <div  class="card mb-4 tw-w-full tw-mx-1">
                <h6>กิจกรรมทางการพยาบาล</h6>
                <div class="tw-mb-2" *ngFor="let item of itemActivityInfo">
                    <!-- <p-checkbox [formControlName]="item.id.toString()" [value]="item.description" [inputId]="'checkbox_' + item.id" (onChange)="optionActivityClick($event)"></p-checkbox> -->
                    <p-checkbox   [(ngModel)]="isActivityChecked" [value]="item.description" [inputId]="'checkbox_' + item.id" (onChange)="optionActivityClick($event)"></p-checkbox>
                    <label class="tw-ml-2" [for]="'checkbox_' + item.id">{{ item.description }}</label>
                </div>
                <textarea [(ngModel)]="txtarea_activity" style="width: 100%; min-width: 0; min-height: 0;" rows="5"></textarea>
            </div>
            <div  class="card mb-4 tw-w-full tw-mx-1">
                <h6>ประเมินทางการพยาบาล</h6>
                <div class="tw-mb-2" *ngFor="let eva of itemEvaluate">
                    <!-- <p-checkbox [formControlName]="item.id.toString()"    [(ngModel)]="isChecked" [value]="item.description" [inputId]="'checkbox_' + item.id" (onChange)="optionEvaluateClick($event)"></p-checkbox> -->
                    <p-checkbox  [(ngModel)]="isEvaluateChecked" [value]="eva.description" [inputId]="'checkbox_' + eva.id" (onChange)="optionEvaluateClick($event)"></p-checkbox>
                    <label class="tw-ml-2" [for]="'checkbox_' + eva.id">{{ eva.description }}</label>
                </div>
                <textarea [(ngModel)]="txtarea_evaluate" style="width: 100%; min-width: 0; min-height: 0;" rows="5"></textarea>
            </div>
        </div>
       
        <div>
            <button pButton pRipple type="button" (click)="SaveNursenote()" class="tw-w-32" label="บันทึก" [disabled]="!is_requirefield"></button>
        </div>

    </div>
</p-sidebar>